#! /bin/sh
# Do not edit this file!
# this file is generated by 'generate_test.pl'.

#
# Bidicheck test.
# Check BIDI domain name inspection.
#
# The input name is "a" + U+05D0 (bidiclass: L + R).
#
# [IDNA2008-Bidi] defines the term "an RTL label" twice.
# The "2. The BIDI Rule" chapter says "if it (= the first character)
# has the R or AL property, it is an RTL label", while the
# "1.4. Terminology" section says "an RTL label is a label that
# contains at least one character of type R, AL or AN".
#
# The latter definition is used to define the term "BIDI domain name"
# and "2. BIDI Rule" also says "the following rule, (snip), applies
# to labels in BIDI domain names".
#
# The input name of this test is not "an RTL label" defined by
# "2. The BIDI Rule", but it is a BIDI domain name. It must satisfy
# "an LTR label" conditions described in "2. The BIDI Rule".
#
#             api: encodename
#  local_encoding: U-escape
#            conf: 
#            from: A\u{5d0}
#         actions: IDN_UNICODECONV IDN_BIDICHECK IDN_LOCALCONV
#          result: Bidi check failed
#              to: 

################## setup ##################

unset LC_ALL
unset LC_CTYPE
unset LC_MESSAGES
unset LANG
unset IDN_LOCAL_CODESET
unset IDN_LOG_LEVEL

SRCDIR=`dirname $0`
SYSCONFDIR=${SYSCONFDIR-"/etc"}
IGNORE=false
export IDN_LOCAL_CODESET; IDN_LOCAL_CODESET=U-escape

rm -f idn2.conf
touch idn2.conf
echo '' >> idn2.conf

rm -f localmap1
rm -f localmap2
rm -f localmap3
rm -f localmap4
rm -f localset
rm -f expect.txt
rm -f output.txt

################## test ##################

echo 'from: A\u{5d0}' >> expect.txt
echo 'result: Bidi check failed' >> expect.txt
echo 'to: ' >> expect.txt
../common/test_encodename -conffile=idn2.conf -localcheckfile=  -unicodeconv -bidicheck -localconv -- 'A\u{5d0}' > output.txt

################## teardown ##################

cmp expect.txt output.txt > /dev/null 2>&1
RESULT=$?
[ X$IGNORE = Xtrue ] && RESULT=77
if [ X$QUIET != Xtrue ]; then
    if [ $RESULT -eq 0 ]; then
        echo "PASS: $0"
    elif [ $RESULT -eq 77 ]; then
        echo "SKIP: $0"
    else
        echo "FAIL: $0"
    fi
fi
[ $RESULT -eq 0 -o $RESULT -eq 77 ] || exit $RESULT
rm -f idn2.conf
rm -f localmap1
rm -f localmap2
rm -f localmap3
rm -f localmap4
rm -f localset
rm -f expect.txt
rm -f output.txt
exit $RESULT
