#! /bin/sh
# Do not edit this file!
# this file is generated by 'generate_test.pl'.

#
# Maaping test.
# Perform NFC twice.
#
# The input name is "A" + U+0300 (grave).
# It is converted to U+00C0 ("A" with grave) by NFC.
# Then it is converted to "a" + U+0301 (acute) by language-local map.
# Finally it is converted to U+00E1 ("a" with acute) NFC.
#
#             api: encodename
#  local_encoding: U-escape
#            conf: language ja
#            conf: map nfc language-local nfc
#            conf: delimiters 3002
#            conf: language-local ja @LOCALMAP_FILE1@
#       localmap1: 00C0; 0061 0301;
#            from: A\u{300}
#         actions: IDN_UNICODECONV IDN_MAP IDN_LOCALCONV
#          result: success
#              to: \u{e1}

################## setup ##################

unset LC_ALL
unset LC_CTYPE
unset LC_MESSAGES
unset LANG
unset IDN_LOCAL_CODESET
unset IDN_LOG_LEVEL

SRCDIR=`dirname $0`
SYSCONFDIR=${SYSCONFDIR-"/etc"}
IGNORE=false
export IDN_LOCAL_CODESET; IDN_LOCAL_CODESET=U-escape

rm -f idn2.conf
touch idn2.conf
echo 'language ja' >> idn2.conf
echo 'map nfc language-local nfc' >> idn2.conf
echo 'delimiters 3002' >> idn2.conf
echo 'language-local ja localmap1' >> idn2.conf

rm -f localmap1
echo '00C0; 0061 0301;' >> localmap1

rm -f localmap2
rm -f localmap3
rm -f localmap4
rm -f localset
rm -f expect.txt
rm -f output.txt

################## test ##################

echo 'from: A\u{300}' >> expect.txt
echo 'result: success' >> expect.txt
echo 'to: \u{e1}' >> expect.txt
../common/test_encodename -conffile=idn2.conf -localcheckfile=  -unicodeconv -map -localconv -- 'A\u{300}' > output.txt

################## teardown ##################

cmp expect.txt output.txt > /dev/null 2>&1
RESULT=$?
[ X$IGNORE = Xtrue ] && RESULT=77
if [ X$QUIET != Xtrue ]; then
    if [ $RESULT -eq 0 ]; then
        echo "PASS: $0"
    elif [ $RESULT -eq 77 ]; then
        echo "SKIP: $0"
    else
        echo "FAIL: $0"
    fi
fi
[ $RESULT -eq 0 -o $RESULT -eq 77 ] || exit $RESULT
rm -f idn2.conf
rm -f localmap1
rm -f localmap2
rm -f localmap3
rm -f localmap4
rm -f localset
rm -f expect.txt
rm -f output.txt
exit $RESULT
